目录

单个查询礼品卡模板

功能介绍

根据modelId获取对应的礼品卡模板。

场景描述

开发者可以调用该API,查看某一个已添加到华为钱包服务器的礼品卡模板。

使用约束

需在华为AGC网站上创建应用并申请卡券对应的服务。

接口原型

承载协议

HTTPS GET

接口方向

开发者服务器->华为钱包服务器

接口URL

{url}/hmspass/v1/giftcard/model/{modelId}

{url}变量需要开发者根据服务器所属区域自行选择,请参见钱包服务器地址。

数据格式

请求消息:Content-Type: application/json

响应消息:Content-Type: application/json

路径参数

参数

是否必选

参数类型

描述

modelId

是

String

卡券模板的唯一标识符。这个ID在同一个appId下唯一。这个ID只能包含字母、数字和(.)、(-)、(_)。

请求参数

Request Header:

参数

是否必选

参数类型

描述

Authorization

是

String

鉴权码。获取方式详见基于OAuth 2.0开放鉴权,请使用“客户端模式”。“client_id”和“client_secret”即为开发者在华为AGC网站上创建应用后获取的“App ID”和“App key”。将获取到的“access_token”的值拼接在字符串“Bearer”之后,以空格符相隔,组成“Authorization”参数的值。

Content-Type

是

String

固定值:“application/json;charset=utf-8”。

Accept

是

String

固定值:“application/json;charset=utf-8”。

请求示例

GET /hmspass/v1/giftcard/model/giftCardModelTest HTTP/1.1
Content-Type: application/json;charset=utf-8
Authorization: Bearer ***
Accept: application/json;charset=utf-8
Host: wallet-passentrust-drcn.cloud.huawei.com.cn

响应参数

错误码为200时:

参数

参数类型

描述

详见HwWalletObject参数描述

HwWalletObject

modelId对应的卡券模板

响应示例

HTTP/1.1 200 OK
Content-Type: application/json
{
  "passVersion": "1.0",
  "passTypeIdentifier": "hwpass.com.huawei.wallet.giftcard.test",
  "passStyleIdentifier": "giftCardModelTest",
  "organizationName": "Huawei",
  "fields": {
    "countryCode": "CN",
    "locationList": [
      {
        "longitude": "114.0679603815",
        "latitude": "22.6592051284"
      }
    ],
    "commonFields": [
      {
        "key": "logo",
        "value": "https://www.huawei.com/XXX.png"
      },
      {
        "key": "backgroundImage",
        "value": "https://www.huawei.com/XXX.png"
      },
      {
        "key": "name",
        "value": "Gift Card"
      },
      {
        "key": "merchantName",
        "value": "XXX Super Market",
        "localizedValue": "merchantNameI18N"
      },
      {
        "key": "eventNumber",
        "value": "223421515222143",
        "label": "Event Number",
        "localizedValue": "eventNameI18n"
      }
    ],
    "appendFields": [
      {
        "key": "backgroundColor",
        "value": "#483d8b"
      },
      {
        "key": "hotline",
        "value": "8006011450"
      },
      {
        "key": "website",
        "value": "https://www.huawei.com"
      }
    ],
    "messageList": [
      {
        "key": "message[0]",
        "value": "Welcome to use this gift card.",
        "label": "Welcome"
      },
      {
        "key": "message[1]",
        "value": "This gift card is used for XXX.",
        "label": "Explanation"
      }
    ],
    "imageList": [
      {
        "key": "mainImage[0]",
        "value": "https://www.huawei.com/XXX0.png"
      },
      {
        "key": "mainImage[1]",
        "value": "https://www.huawei.com/XXX1.png"
      },
      {
        "key": "mainImage[2]",
        "value": "https://www.huawei.com/XXX2.png"
      }
    ],
    "localized": [
      {
        "key": "merchantNameI18N",
        "language": "zh-cn",
        "value": "某某超市"
      },
      {
        "key": "merchantNameI18N",
        "language": "en",
        "value": "XXX Super Market"
      },
      {
        "key": "eventNumberI18N",
        "language": "zh-cn",
        "value": "活动编号"
      },
      {
        "key": "eventNumberI18N",
        "language": "en",
        "value": "Event Number"
      }
    ]
  }
}

错误码

详见错误码。

调用示例

public HwWalletObject getWalletModelByModelId(String url, String modelId) {
    // Construct the http header.
    HttpHeaders header = constructHttpHeaders();
    // Construct the http URL.
    String baseUrl = ConfigHelper.instants().getValue("walletServerBaseUrl");
    String walletServerUrl = baseUrl + url + modelId;

    // Send the http request and get response.
    ResponseEntity<HwWalletObject> response =
        REST_TEMPLATE.exchange(walletServerUrl, HttpMethod.GET, new HttpEntity(header), HwWalletObject.class);

    // Return the wallet model with the corresponding model ID.
    return response.getBody();
}